#pragma semicolon 1
#pragma newdecls required

#include <sourcemod>
#include <sdktools>
#include <shop>
#include <vip_core>
#include <csgo_colors>

static const char g_sItem[] = "BuyTeamWeapon";
static const char g_sCategory[] = "ability";

Handle g_hTimer[MAXPLAYERS + 1];
Handle g_hTimer2[MAXPLAYERS + 1];
int g_iGame; //0 - CS:GO, 1 - CS:S
int g_iGetWeap[MAXPLAYERS + 1]; //Индекс оружия слота 0
int g_iGetWeapPistols[MAXPLAYERS + 1]; //Индекс оружия слота 1
int g_iGetWeapon[MAXPLAYERS + 1]; //1 - AK47 | 2 - M4A1-S | 3 - M4A1 | 4 - Galil | 5 - Famas | 6 - SG | 7 - AUG
int g_iGetWeaponPistols[MAXPLAYERS + 1]; //1 - Glock | 2 - USP-S
int g_iNumPrinted[MAXPLAYERS + 1]; //Отчет времени для R
static bool g_bInUse[MAXPLAYERS+1];
static int g_iClientsBuyTeamWeaponEnabled[MAXPLAYERS+1];

// ConVars [START]
static bool g_bReBuyPistols;
static int g_iTimer;
static int g_iTimerCloseMenuGun;
static int g_iTimerCloseMenuType;
static int g_iPrice;
static int g_iSellPrice;
static int g_iDuration;
// ConVars [END]

public Plugin myinfo =
{
	name		= "[Shop] Weapon replacement [VIP supported]",
	author		= "PSIH",
	version		= "1.0.1",
	description = "Replaces your weapon with a similar one from opponents [VIP supported]",
	url 		= "https://github.com/0RaKlE19/-SHOP-BuyTeamWeapon"
};

public void OnPluginStart()
{
	Shop_UnregisterMe();
	if(GetEngineVersion() == Engine_CSGO)
		g_iGame = 0;
	else if(GetEngineVersion() == Engine_CSS)
		g_iGame = 1;
	
	Handle ConVars = CreateConVar("sm_shop_buyteamweapons_price", "5000", "[RU] Цена покупки способности.\n[EN] Purchase price ability.");
	g_iPrice = GetConVarInt(ConVars);
	HookConVarChange(ConVars, OnPriceChange);
	
	ConVars = CreateConVar("sm_shop_buyteamweapons_sell_price", "1000", "[RU] Цена продажи способности.\n[EN] Selling price ability.");
	g_iSellPrice = GetConVarInt(ConVars);
	HookConVarChange(ConVars, OnSellPriceChange);
	
	ConVars = CreateConVar("sm_shop_buyteamweapons_duration", "86400", "[RU] На какое время покупать способность(0 - навсегда, значение в секундах!).\n[EN] What is the time to buy ability (0 - forever, value in seconds!).");
	g_iDuration = GetConVarInt(ConVars);
	HookConVarChange(ConVars, OnDurationChange);
	
	ConVars = CreateConVar("sm_shop_buyteamweapons_timer_press", "7", "[RU] Сколько секунд у игрока что бы нажать R.\n[EN] How many seconds does a player have to press R.");
	g_iTimer = GetConVarInt(ConVars);
	HookConVarChange(ConVars, OnTimerChange);
	
	ConVars = CreateConVar("sm_shop_buyteamweapons_timer_close_gun_menu", "5", "[RU] Через сколько секунд закрывать меню выбора оружия(АК/M4/M4-S).\n[EN] After how many seconds, close the weapon selection menu (AK / M4 / M4-S).", 0, true, 1.0, true, 60.0);
	g_iTimerCloseMenuGun = GetConVarInt(ConVars);
	HookConVarChange(ConVars, OnTimerCloseMenuGunChange);
	
	ConVars = CreateConVar("sm_shop_buyteamweapons_timer_close_type_menu", "5", "[RU] Через сколько секунд закрывать меню выбора типа оружия(Винтовки/Пистолеты/Все).\n[EN] After how many seconds, close the menu for choosing the type of weapon (Rifles / Pistols / All).", 0, true, 1.0, true, 60.0);
	g_iTimerCloseMenuType = GetConVarInt(ConVars);
	HookConVarChange(ConVars, OnTimerCloseMenuTypeChange);
	
	ConVars = CreateConVar("sm_shop_buyteamweapons_pistols_need_rebuy", "1", "[RU] Нужно ли перезакупать USP/Glock что бы заменить их?(1 - да, 0 - нет).\n[EN] Do I need to re-purchase USP / Glock to replace them? (1 - yes, 0 - no).", 0, true, 0.0, true, 1.0);
	g_bReBuyPistols = GetConVarBool(ConVars);
	HookConVarChange(ConVars, OnReBuyChange);
	
	LoadTranslations("shop_buyteamweapon.phrases");
	AutoExecConfig(true, "SHOP_BuyTeamWeapons", "shop");
	
	HookEvent("item_purchase", Event_Item_Purchase, EventHookMode_Post);
	HookEvent("player_spawn", Event_PlayerSpawn, EventHookMode_Post);
	
	if (Shop_IsStarted()) Shop_Started();
}

public void OnPriceChange(Handle ConVars, const char[] oldValue, const char[] newValue){g_iPrice = GetConVarInt(ConVars);}
public void OnSellPriceChange(Handle ConVars, const char[] oldValue, const char[] newValue){g_iSellPrice = GetConVarInt(ConVars);}
public void OnDurationChange(Handle ConVars, const char[] oldValue, const char[] newValue){g_iDuration = GetConVarInt(ConVars);}
public void OnTimerChange(Handle ConVars, const char[] oldValue, const char[] newValue){g_iTimer = GetConVarInt(ConVars);}
public void OnTimerCloseMenuGunChange(Handle ConVars, const char[] oldValue, const char[] newValue){g_iTimerCloseMenuGun = GetConVarInt(ConVars);}
public void OnTimerCloseMenuTypeChange(Handle ConVars, const char[] oldValue, const char[] newValue){g_iTimerCloseMenuType = GetConVarInt(ConVars);}
public void OnReBuyChange(Handle ConVars, const char[] oldValue, const char[] newValue){g_bReBuyPistols = GetConVarBool(ConVars);}

public void OnPluginEnd()
{
	Shop_UnregisterMe();
}

public void Shop_Started()
{
	CategoryId category_id = Shop_RegisterCategory(g_sCategory, "Способности", "");
	if (Shop_StartItem(category_id, g_sItem))
	{
		char szBuffer[35];
		FormatEx(szBuffer, sizeof(szBuffer), "%t", "buyteamweapon");
		Shop_SetInfo(szBuffer, "", g_iPrice, g_iSellPrice, Item_Togglable, g_iDuration);
		Shop_SetCallbacks(OnItemRegistered, OnBuyTeamWeaponUsed, VipParse, OnDisplay, OnDescription);
		Shop_EndItem();
	}
}

public bool VipParse (int iClient, CategoryId category_id, const char[] category, ItemId item_id, const char[] item, ShopMenu menu)
{
	if(!VIP_IsClientVIP(iClient) || VIP_GetClientFeatureStatus(iClient, g_sItem) == NO_ACCESS)
		return true;
	else
		return false;
}

public void OnItemRegistered(CategoryId category_id, const char[] category, const char[] item, ItemId item_id){}

public bool OnDisplay(int iClient, CategoryId category_id, const char[] category, ItemId item_id, const char[] item, ShopMenu menu, bool &disabled, const char[] name, char[] buffer, int maxlen)
{
	FormatEx(buffer, maxlen, "%T", "buyteamweapon", iClient);
	return true;
}

public bool OnDescription(int iClient, CategoryId category_id, const char[] category, ItemId item_id, const char[] item, ShopMenu menu, const char[] description, char[] buffer, int maxlen)
{
	FormatEx(buffer, maxlen, "%T", "buyteamweapon_description", iClient);
	return true;
}

public void OnClientDisconnect_Post(int iClient)
{
	g_iClientsBuyTeamWeaponEnabled[iClient] = false;
	g_iNumPrinted[iClient] = 0;
	if(g_hTimer[iClient]) 
	{
		KillTimer(g_hTimer[iClient]);
		g_hTimer[iClient] = null;
	}
	if(g_hTimer2[iClient]) 
	{
		KillTimer(g_hTimer2[iClient]);
		g_hTimer2[iClient] = null;
	}
}

public ShopAction OnBuyTeamWeaponUsed(int iClient, CategoryId category_id, const char[] category, ItemId item_id, const char[] item, bool isOn, bool elapsed)
{
	g_iClientsBuyTeamWeaponEnabled[iClient] = !isOn;
	if (isOn || elapsed)
	{
		return Shop_UseOff;
	}
	return Shop_UseOn;
}

public Action Event_Item_Purchase(Event hEvent, const char[] name, bool dontBroadcast)
{
	int iClient = GetClientOfUserId(hEvent.GetInt("userid"));
	char szWeapon[65];
	hEvent.GetString("weapon", szWeapon, sizeof(szWeapon));
	
	if (iClient > 0 && g_iClientsBuyTeamWeaponEnabled[iClient] && (!VIP_IsClientVIP(iClient) || VIP_GetClientFeatureStatus(iClient, g_sItem) == NO_ACCESS))
	{
		if(StrEqual("ak47", szWeapon[7]) || StrEqual("m4a1_silencer", szWeapon[7]) || StrEqual("m4a1", szWeapon[7]) || StrEqual("galilar", szWeapon[7]) || StrEqual("famas", szWeapon[7]) || StrEqual("sg556", szWeapon[7]) || StrEqual("aug", szWeapon[7]) || StrEqual("galil", szWeapon[7]) || StrEqual("sg552", szWeapon[7]) || StrEqual("glock", szWeapon[7]) || StrEqual("usp_silencer", szWeapon[7]))
		{
			if(g_hTimer2[iClient])
			{
				KillTimer(g_hTimer2[iClient]);
				g_hTimer2[iClient] = null;
			}
			g_bInUse[iClient] = false;
			if(g_iNumPrinted[iClient] == 0)
			{
				if(g_iGame == 0)
					CGOPrintToChat(iClient, "%t%t", "PREFIX", "PRESS_KEY");
				else if(g_iGame == 1)
					PrintToChat(iClient, "%t%t", "CSSPREFIX", "CSSPRESS_KEY");
			}
			g_iNumPrinted[iClient] = 0;
			g_hTimer2[iClient] = CreateTimer(0.5, Timer_PlayerPressKey, iClient, TIMER_REPEAT);
		}
		if (StrEqual("ak47", szWeapon[7]))
		{
			g_iGetWeapon[iClient] = 1; 
		} else if (StrEqual("m4a1_silencer", szWeapon[7]))
		{
			g_iGetWeapon[iClient] = 2;
		} else if (StrEqual("m4a1", szWeapon[7]))
		{
			g_iGetWeapon[iClient] = 3;
		} else if (StrEqual("galilar", szWeapon[7]) || StrEqual("galil", szWeapon[7]))
		{
			g_iGetWeapon[iClient] = 4;
		} else if (StrEqual("famas", szWeapon[7]))
		{
			g_iGetWeapon[iClient] = 5;
		} else if (StrEqual("sg556", szWeapon[7]) || StrEqual("sg552", szWeapon[7]))
		{
			g_iGetWeapon[iClient] = 6;
		} else if (StrEqual("aug", szWeapon[7]))
		{
			g_iGetWeapon[iClient] = 7;
		} else if (StrEqual("glock", szWeapon[7])) 
		{
			g_iGetWeaponPistols[iClient] = 1; 
		} else if (StrEqual("usp_silencer", szWeapon[7]))
		{
			g_iGetWeaponPistols[iClient] = 2;
		}
	}
	return Plugin_Continue;
}

public Action Event_PlayerSpawn(Event hEvent, const char[] name, bool dontBroadcast)
{
	int iClient = GetClientOfUserId(hEvent.GetInt("userid"));
	char szWeapon[65];
	g_iNumPrinted[iClient] = 0;
	g_iGetWeapon[iClient] = 0;
	if(!g_bReBuyPistols)
	{
		GetClientWeapon(iClient, szWeapon, sizeof(szWeapon));
		if (iClient > 0 && g_iClientsBuyTeamWeaponEnabled[iClient] && (StrEqual("glock", szWeapon[7]) || StrEqual("usp_silencer", szWeapon[7])))
		{
			if(g_hTimer2[iClient])
			{
				KillTimer(g_hTimer2[iClient]);
				g_hTimer2[iClient] = null;
			}
			g_bInUse[iClient] = false;
			if(g_iNumPrinted[iClient] == 0)
			{
				if(g_iGame == 0)
					CGOPrintToChat(iClient, "%t%t", "PREFIX", "PRESS_KEY");
				else if(g_iGame == 1)
					PrintToChat(iClient, "%t%t", "CSSPREFIX", "CSSPRESS_KEY");
			}
			g_iNumPrinted[iClient] = 0;
			g_hTimer2[iClient] = CreateTimer(0.5, Timer_PlayerPressKey, iClient, TIMER_REPEAT);
			if (StrEqual("glock", szWeapon[7])) 
				g_iGetWeaponPistols[iClient] = 1; 
			else
				g_iGetWeaponPistols[iClient] = 2;
		}
	}else
		g_iGetWeaponPistols[iClient] = 0;
}

public Action OnPlayerRunCmd(int iClient, int &buttons)
{
	if(!g_bInUse[iClient] && (buttons & IN_RELOAD))
		g_bInUse[iClient] = true;
	return Plugin_Continue;
}


public Action Timer_PlayerPressKey(Handle hTimer, int iClient)
{
	if (g_iNumPrinted[iClient] >= g_iTimer*2) 
	{
		g_iNumPrinted[iClient] = 0;
		if(g_hTimer2[iClient])
		{
			KillTimer(g_hTimer2[iClient]);
			g_hTimer2[iClient] = null;
		}
		if(g_iGame == 0)
			PrintCenterText(iClient, "%t", "TIME_TO_CHANGE_END");
		else if(g_iGame == 1)
			PrintCenterText(iClient, "%t", "CSSTIME_TO_CHANGE_END");
		return Plugin_Handled;
	}
	if(g_bInUse[iClient])
	{
		g_iNumPrinted[iClient] = 0;
		if(g_hTimer2[iClient]) 
		{
			KillTimer(g_hTimer2[iClient]);
			g_hTimer2[iClient] = null;
		}
		g_hTimer[iClient] = CreateTimer(0.1, Timer_Weapon, iClient, TIMER_FLAG_NO_MAPCHANGE);
	}
	else
		g_iNumPrinted[iClient]++;
 
	return Plugin_Continue;
}


public Action Timer_Weapon(Handle hTimer, int iClient)
{
	if(iClient > 0 && !IsFakeClient(iClient) && IsClientInGame(iClient))
	{
		g_iGetWeapPistols[iClient] = GetPlayerWeaponSlot(iClient, 1);
		g_iGetWeap[iClient] = GetPlayerWeaponSlot(iClient, 0);
		if (g_iGetWeap[iClient] != -1 && GetPlayerWeaponSlot(iClient, 0) == g_iGetWeap[iClient] && (!(g_iGetWeapPistols[iClient] != -1 && GetPlayerWeaponSlot(iClient, 1) == g_iGetWeapPistols[iClient])) || g_iGetWeaponPistols[iClient] == 0) //ONLY RIFLE!!!
			BuyRifle(iClient);
		
		if (g_iGetWeapPistols[iClient] != -1 && GetPlayerWeaponSlot(iClient, 1) == g_iGetWeapPistols[iClient] && (!(g_iGetWeap[iClient] != -1 && GetPlayerWeaponSlot(iClient, 0) == g_iGetWeap[iClient])) || g_iGetWeapon[iClient] == 0) //ONLY PISTOLS!
			BuyPistols(iClient);
		
		if ((g_iGetWeapPistols[iClient] != -1 && GetPlayerWeaponSlot(iClient, 1) == g_iGetWeapPistols[iClient]) && (g_iGetWeap[iClient] != -1 && GetPlayerWeaponSlot(iClient, 0) == g_iGetWeap[iClient]) && g_iGetWeapon[iClient] >= 1 && g_iGetWeaponPistols[iClient] >= 1) //All!
		{
			char szBuffer[128];
			Menu hMenu = new Menu(Menu_WeapType, MenuAction_Select);
			hMenu.SetTitle("%t", "SELECT_TYPE");
			FormatEx(szBuffer, sizeof(szBuffer), "%t", "TYPE_RIFLES");
			hMenu.AddItem("pifles", szBuffer);
			FormatEx(szBuffer, sizeof(szBuffer), "%t", "TYPE_PISTOLS");
			hMenu.AddItem("pistols", szBuffer);
			FormatEx(szBuffer, sizeof(szBuffer), "%t", "TYPE_ALL");
			hMenu.AddItem("all", szBuffer);
			hMenu.Display(iClient, g_iTimerCloseMenuType);
		}
		g_hTimer[iClient] = null;
	}
}


public int Menu_WeapType(Menu menu, MenuAction action, int iClient, int iItem)
{
	if(iClient > 0 && !IsFakeClient(iClient) && IsClientInGame(iClient) && (g_iGetWeapPistols[iClient] != -1 && GetPlayerWeaponSlot(iClient, 1) == g_iGetWeapPistols[iClient]) && (g_iGetWeap[iClient] != -1 && GetPlayerWeaponSlot(iClient, 0) == g_iGetWeap[iClient]))
	{
		switch (action)
		{
			case MenuAction_Select:
			{
				switch (iItem)
				{
					case 0: //Rifles
						BuyRifle(iClient);
					case 1: //Pistols
						BuyPistols(iClient);
					case 2: //All
					{
						BuyRifle(iClient);
						BuyPistols(iClient);
					}
				}
			}
		}
		g_hTimer[iClient] = null;
	}
}

public int Menu_Weap(Menu menu, MenuAction action, int iClient, int iItem)
{
	if(iClient > 0 && !IsFakeClient(iClient) && IsClientInGame(iClient) && GetPlayerWeaponSlot(iClient, 0) == g_iGetWeap[iClient] && g_iGetWeap[iClient] != -1)
	{
		int iMoney = GetEntProp(iClient, Prop_Send, "m_iAccount");
		switch (action)
		{
			case MenuAction_Select:
			{
				switch (iItem)
				{
					case 0: //AK47
					{
						if(g_iGetWeapon[iClient] == 2) //M4A1 in hand
						{
							SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney+400);
							RemovePlayerItem(iClient, g_iGetWeap[iClient]);
							GivePlayerItem(iClient, "weapon_ak47");
						}
						else
						{
							SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney+200);
							RemovePlayerItem(iClient, g_iGetWeap[iClient]);
							GivePlayerItem(iClient, "weapon_ak47");
						}
					}
					case 1: //M4A4
					{
						if(g_iGetWeapon[iClient] == 1) //AK47 in hand
						{
							if(iMoney >= 400)
							{
								SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney-400);
								RemovePlayerItem(iClient, g_iGetWeap[iClient]);
								GivePlayerItem(iClient, "weapon_m4a1");
							} else
								PrintLangText(iClient);
						}
						else if(g_iGetWeapon[iClient] == 2) //M4A4-S in hand
						{
							if(iMoney >= 200)
							{
								SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney-200);
								RemovePlayerItem(iClient, g_iGetWeap[iClient]);
								GivePlayerItem(iClient, "weapon_m4a1");
							} else
								PrintLangText(iClient);
						}
					}
					case 2: //M4A1-S
					{
						if(g_iGetWeapon[iClient] == 1) //AK47 in hand
						{
							if(iMoney >= 200)
							{
								SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney-200);
								RemovePlayerItem(iClient, g_iGetWeap[iClient]);
								GivePlayerItem(iClient, "weapon_m4a1_silencer");	
							} else
								PrintLangText(iClient);
						} else if(g_iGetWeapon[iClient] == 3) //M4A1 in hand
						{
							SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney+200);
							RemovePlayerItem(iClient, g_iGetWeap[iClient]);
							GivePlayerItem(iClient, "weapon_m4a1_silencer");
						}
					}
				}
			}
		}
		g_iGetWeapon[iClient] = 0;
		g_hTimer[iClient] = null;
	}
}


public void BuyRifle(int iClient)
{
	int iMoney = GetEntProp(iClient, Prop_Send, "m_iAccount");
	if(g_iGetWeapon[iClient] == 4) //Galil in hand
	{
		if(iMoney >= 250)
		{
			SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney-250);
			RemovePlayerItem(iClient, g_iGetWeap[iClient]);
			GivePlayerItem(iClient, "weapon_famas");
		} else
			PrintLangText(iClient);
	}
	
	else if(g_iGetWeapon[iClient] == 5)	//Famas in hand
	{
		SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney+250);
		RemovePlayerItem(iClient, g_iGetWeap[iClient]);
		if(g_iGame == 0)
			GivePlayerItem(iClient, "weapon_galilar");
		else
			GivePlayerItem(iClient, "weapon_galil");
	}
	
	else if(g_iGetWeapon[iClient] == 6) //SG553\552 in hand
	{
		if(g_iGame == 1)
		{
			RemovePlayerItem(iClient, g_iGetWeap[iClient]);
			GivePlayerItem(iClient, "weapon_aug");
		}
		else
		{
			if(iMoney >= 300)
			{
				SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney-300);
				RemovePlayerItem(iClient, g_iGetWeap[iClient]);
				GivePlayerItem(iClient, "weapon_aug");
			} else
				PrintLangText(iClient);
		}
	}
	
	else if(g_iGetWeapon[iClient] == 7)	//AUG in hand
	{
		if(g_iGame == 1)
		{
			RemovePlayerItem(iClient, g_iGetWeap[iClient]);
			GivePlayerItem(iClient, "weapon_sg552");
		}
		else
		{
			SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney+300);
			RemovePlayerItem(iClient, g_iGetWeap[iClient]);
			GivePlayerItem(iClient, "weapon_sg556");
		}
	}
	if(g_iGame == 0) //CS:GO
	{
		if(g_iGetWeapon[iClient] <= 3) //1 - AK47, 2 - M4A1-S, 3 - M4A4
		{
			Menu hMenu = new Menu(Menu_Weap, MenuAction_Select);
			hMenu.SetTitle("%t", "SELECT_GUN");
			if(g_iGetWeapon[iClient] == 1)
				hMenu.AddItem("ak47", "AK47", ITEMDRAW_NOTEXT);
			else
				hMenu.AddItem("ak47", "AK47");
			if(g_iGetWeapon[iClient] == 3)
				hMenu.AddItem("m4a1", "M4A4", ITEMDRAW_NOTEXT);
			else
				hMenu.AddItem("m4a1", "M4A4");
			if(g_iGetWeapon[iClient] == 2)
				hMenu.AddItem("m4a1s", "M4A1 - Silencer", ITEMDRAW_NOTEXT);
			else
				hMenu.AddItem("m4a1s", "M4A1 - Silencer");
			
			hMenu.Display(iClient, g_iTimerCloseMenuGun);
		}
	}
	else //CSS
	{
		if(g_iGetWeapon[iClient] == 1) //AK47 in hand
		{
			if(iMoney >= 600)
			{
				SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney-600);
				RemovePlayerItem(iClient, g_iGetWeap[iClient]);
				GivePlayerItem(iClient, "weapon_m4a1");
			} else
				PrintLangText(iClient);
		}
		else if(g_iGetWeapon[iClient] == 3) //M4A1 in hand
		{
			SetEntProp(iClient, Prop_Send, "m_iAccount", iMoney+600);
			RemovePlayerItem(iClient, g_iGetWeap[iClient]);
			GivePlayerItem(iClient, "weapon_ak47");
		}
	}
	if(g_iGetWeapon[iClient] >= 4)
		g_iGetWeapon[iClient] = 0;
}

public void BuyPistols(int iClient)
{
	if(g_iGetWeaponPistols[iClient] == 1)	//Glock in hand
	{
		RemovePlayerItem(iClient, g_iGetWeapPistols[iClient]);
		GivePlayerItem(iClient, "weapon_usp_silencer");
	}	else if(g_iGetWeaponPistols[iClient] == 2)	//USP in hand
	{
		RemovePlayerItem(iClient, g_iGetWeapPistols[iClient]);
		GivePlayerItem(iClient, "weapon_glock");
	}
	g_iGetWeaponPistols[iClient] = 0;
}

void PrintLangText(int iClient) //Вывод текста если не хватает денег
{
	if(g_iGame == 0)
		CGOPrintToChat(iClient, "%t", "NO_MONEY");
	else
		PrintToChat(iClient, "%t", "CSSNO_MONEY");
}